plotLocalMax {MassSpecWavelet} | R Documentation

## Plot the local maximum matrix

### Description

Plot the local maximum matrix of 2-D CWT coefficients returned by `getLocalMaximumCWT`

### Usage

    plotLocalMax(localMax, wCoefs = NULL, range = c(1, nrow(localMax)), colorMap = "RYB", main = NULL, cex = 3, pch = ".", ...)

### Arguments

`localMax` | local maximum matrix of 2-D CWT coefficients returned by `getLocalMaximumCWT`
`wCoefs` | 2-D CWT coefficients
`range` | plot range of m/z index
`colorMap` | the colormap used in plotting the points
`main` | parameter of `plot`
`cex` | parameter of `plot`
`pch` | parameter of `plot`
`...` | other parameters of `points`

### Author(s)

Pan Du

### See Also

`getLocalMaximumCWT`

### Examples

            data(exampleMS)
            scales <- seq(1, 64, 3)
            wCoefs <- cwt(exampleMS[5000:11000], scales=scales, wavelet='mexh')

            localMax <- getLocalMaximumCWT(wCoefs)
            plotLocalMax(localMax)

[Package MassSpecWavelet version 1.10.0 Index]